MONGOC_COLLECTION_GET_READ_PREFS(3)

NAME
mongoc_collection_get_read_prefs() - Fetches the default read preferences to use for collection. Operations without specified read-preferences will default to this.

SYNOPSIS

const mongoc_read_prefs_t *
mongoc_collection_get_read_prefs (const mongoc_collection_t *collection);

PARAMETERS

collection
    A mongoc_collection_t \&.

DESCRIPTION

Fetches the default read preferences to use for collection \&. Operations without specified read-preferences will default to this.

RETURNS

A mongoc_read_prefs_t that should not be modified or freed.

COLOPHON
This page is part of MongoDB C Driver. Please report any bugs at https://jira.mongodb.org/browse/CDRIVER.